{
  "extends": [
    "next/core-web-vitals",
    "@goodgo/eslint-config"
  ],
  "parser": "@typescript-eslint/parser",
  "parserOptions": {
    "ecmaVersion": 2020,
    "sourceType": "module",
    "ecmaFeatures": {
      "jsx": true
    },
    "project": "./tsconfig.json"
  },
  "env": {
    "browser": true,
    "node": true,
    "es2020": true
  },
  "ignorePatterns": [
    "**/*.stories.ts",
    "**/*.stories.tsx",
    "**/test/**",
    "**/__tests__/**",
    "**/e2e/**",
    "playwright.config.ts",
    "vitest.config.ts"
  ]
}
